package com.engine.organization.entity.detach.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/21
 * @Version V1.0
 **/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ManagerDetachPO {
    /**
     * 自增主键
     */
    private Integer id;
    /**
     * 管理员类型
     */
    private Integer type;
    /**
     * ec管理员
     */
    private String ec_manger;
    /**
     * jcl管理员
     */
    private String jcl_manger;
    /**
     * ec分部
     */
    private String ec_rolelevel;
    /**
     * jcl分部
     */
    private String jcl_rolelevel;
    /**
     * 模块
     */
    private String module;
    /**
     * 创建人
     */
    private Long creator;
    /**
     * 删除标记
     */
    private int deleteType;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
